Support for the Ruby 2.1 series ended on March 31 2017. See here for details.

In Files

  • optparse/ac.rb

OptionParser::AC

Public Instance Methods

ac_arg_disable(name, help_string, &block) click to toggle source
 
               # File optparse/ac.rb, line 34
def ac_arg_disable(name, help_string, &block)
  _ac_arg_enable("disable", name, help_string, block)
end
            
ac_arg_enable(name, help_string, &block) click to toggle source
 
               # File optparse/ac.rb, line 30
def ac_arg_enable(name, help_string, &block)
  _ac_arg_enable("enable", name, help_string, block)
end
            
ac_arg_with(name, help_string, &block) click to toggle source
 
               # File optparse/ac.rb, line 38
def ac_arg_with(name, help_string, &block)
  _check_ac_args(name, block)

  sdesc = []
  ldesc = ["--with-#{name}"]
  desc = [help_string]
  q = name.downcase
  with = Switch::PlacedArgument.new(*search(:atype, String), sdesc, ldesc, nil, desc, block)
  without = Switch::NoArgument.new(nil, proc {}, sdesc, ldesc, nil, desc, block)
  top.append(with, [], ["with-" + q], without, ['without-' + q])
  with
end